#!/usr/bin/python3

slowa_biblii = set()
with open('slowa_biblii_odmienione.txt') as plik_slow_biblii:
    for slowo in plik_slow_biblii:
        slowo = slowo.rstrip()
        slowa_biblii.add(slowo)
nieznalezione = set()
with open('frekwencja.txt') as plik_frekwencji:
    for linia in plik_frekwencji:
        linia = linia.rstrip()
        slowo, ile = linia.split(';')
        slowo = slowo.lower()
        if slowo not in slowa_biblii:
            nieznalezione.add((slowo, ile))
for slowo, ile in sorted(nieznalezione, key=lambda para: -int(para[1])):
    if ' ' not in slowo:
        print('%s;%s' % (slowo, ile))
