#!/usr/bin/python3

import re
import urllib.request
import urllib.parse

def pobierz(url, kodowanie='utf-8'):
    odpowiedz = urllib.request.urlopen(url)
    return odpowiedz.read().decode(kodowanie)

tresc_z_wiktionary = (
    pobierz('https://pl.wiktionary.org/wiki/Indeks:Polski_-_Najpopularniejsze_s%C5%82owa_1-2000')
    + pobierz('https://pl.wiktionary.org/wiki/Indeks:Polski_-_Najpopularniejsze_s%C5%82owa_2001-4000')
    + pobierz('https://pl.wiktionary.org/wiki/Indeks:Polski_-_Najpopularniejsze_s%C5%82owa_4001-6000')
    + pobierz('https://pl.wiktionary.org/wiki/Indeks:Polski_-_Najpopularniejsze_s%C5%82owa_6001-8000')
    + pobierz('https://pl.wiktionary.org/wiki/Indeks:Polski_-_Najpopularniejsze_s%C5%82owa_8001-10000')
)

for slowo, ile in re.findall(r'<a href="[^"]+" title="([^"]+)">[^<]+</a>=(\d+)', tresc_z_wiktionary):
    if any([litera.isalpha() for litera in slowo]):
        print('%s;%s' % (slowo, ile))
