#!/usr/bin/python3

# coding: utf-8

import sys

slowa_odmienione = {}
with open('odmiana.txt') as plik_odmiany:
    for linia in plik_odmiany:
        linia = linia.rstrip()
        formy = tuple([slowo.lower().strip() for slowo in linia.split(',')])
        for forma in formy:
            slowa_odmienione[forma] = slowa_odmienione.get(forma, ()) + formy

print('odmiana załadowana', file=sys.stderr)

slowa_biblii = set()
with open('slowa_biblii.txt') as plik_slow_biblii:
    for slowo in plik_slow_biblii:
        slowo = slowo.rstrip()
        slowa_biblii.add(slowo)

print('słowa biblii załadowane', file=sys.stderr)

for slowo_biblii in slowa_biblii:
    for forma in slowa_odmienione.get(slowo_biblii, (slowo_biblii,)):
        print(forma)
